﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default"
    ValidateRequest="false" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>WijGrid Export</title>
    <!--jQuery References-->
    <script src="http://code.jquery.com/jquery-1.9.1.min.js" type="text/javascript"></script>
    <script src="http://code.jquery.com/ui/1.10.1/jquery-ui.min.js" type="text/javascript"></script>
    <!--Theme-->
    <link href="http://cdn.wijmo.com/themes/aristo/jquery-wijmo.css" rel="stylesheet"
        type="text/css" />
    <!--Wijmo Widgets CSS-->
    <link href="http://cdn.wijmo.com/jquery.wijmo-pro.all.3.20141.38.min.css" rel="stylesheet"
        type="text/css" />
    <!--Wijmo Widgets JavaScript-->
    <script src="http://cdn.wijmo.com/jquery.wijmo-open.all.3.20141.38.min.js" type="text/javascript"></script>
    <script src="http://cdn.wijmo.com/jquery.wijmo-pro.all.3.20141.38.min.js" type="text/javascript"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#demo").wijgrid({
                allowColSizing: true,
                allowEditing: true
            });
        });
        function prepareHtml() {
            $("#hiddenHtml1").val($("#demo").parent().html());
        }
        function preparePartialHtml() {
            var cols = $("#demo").wijgrid("option", "columns");
            cols[0].visible = false;
            cols[1].visible = false;
            $("#demo").wijgrid("doRefresh");
            var cols = $("#demo").wijgrid("option", "columns");
            $("#hiddenHtml2").val($("#demo").parent().html());            
            cols[0].visible = true;
            cols[1].visible = true;
            $("#demo").wijgrid("doRefresh");
        }        
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <table id="demo">
            <thead>
                <tr>
                    <th>
                        EmployeeID
                    </th>
                    <th>
                        LastName
                    </th>
                    <th>
                        FirstName
                    </th>
                    <th>
                        Title
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        1
                    </td>
                    <td>
                        Davolio
                    </td>
                    <td>
                        Nancy
                    </td>
                    <td>
                        Sales Representative
                    </td>
                </tr>
                <tr>
                    <td>
                        2
                    </td>
                    <td>
                        Fuller
                    </td>
                    <td>
                        Andrew
                    </td>
                    <td>
                        Vice President
                    </td>
                </tr>
                <tr>
                    <td>
                        3
                    </td>
                    <td>
                        Leverling
                    </td>
                    <td>
                        Janet
                    </td>
                    <td>
                        Sales Representative
                    </td>
                </tr>
                <tr>
                    <td>
                        4
                    </td>
                    <td>
                        Peacock
                    </td>
                    <td>
                        Margaret
                    </td>
                    <td>
                        Sales Representative
                    </td>
                </tr>
                <tr>
                    <td>
                        5
                    </td>
                    <td>
                        Buchanan
                    </td>
                    <td>
                        Steven
                    </td>
                    <td>
                        Sales Manager
                    </td>
                </tr>
                <tr>
                    <td>
                        6
                    </td>
                    <td>
                        Suyama
                    </td>
                    <td>
                        Michael
                    </td>
                    <td>
                        Sales Representative
                    </td>
                </tr>
                <tr>
                    <td>
                        7
                    </td>
                    <td>
                        King
                    </td>
                    <td>
                        Robert
                    </td>
                    <td>
                        Sales Representative
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    &nbsp;<asp:HiddenField ID="hiddenHtml1" runat="server" />
    <asp:HiddenField ID="hiddenHtml2" runat="server" />
    <asp:Button ID="btnExportServer2" runat="server" Text="Export specific columns via Server"
        OnClientClick="preparePartialHtml()" OnClick="btnPartialExportServer_Click" />
    <asp:Button ID="btnExportServer1" runat="server" Text="Export all columns via Server"
        OnClientClick="prepareHtml()" OnClick="btnExportServer_Click" />
    </form>
</body>
</html>
