﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.ClientScript.RegisterHiddenField("hiddenHtml1", String.Empty);
        Page.ClientScript.RegisterHiddenField("hiddenHtml2", String.Empty);
    }
    protected void btnExportServer_Click(object sender, EventArgs e)
    {        
        ExportToExcel("test1.xls", "hiddenHtml1");
    }

    public void ExportToExcel(string fname, string hhtml)
    {
        Response.ContentType = "application/ms-excel";
        Response.AddHeader("content-disposition", "attachment; filename="+fname);
        Response.Write("<html xmlns:x=urn:schemas-microsoft-com:office:excel>");
        Response.Write("<head>");
        Response.Write("<meta http-equiv=Content-Type content=text/html;charset=windows-1252>");
        Response.Write("<!--[if gte mso 9]>");
        Response.Write("<xml>");
        Response.Write("<x:ExcelWorkbook>");
        Response.Write("<x:ExcelWorksheets>");
        Response.Write("<x:ExcelWorksheet>");
        //this line names the worksheet
        Response.Write("<x:Name>gridlineTest</x:Name>");
        Response.Write("<x:WorksheetOptions>");
        //these 2 lines are what works the magic
        Response.Write("<x:Panes>");
        Response.Write("</x:Panes>");
        Response.Write("</x:WorksheetOptions>");
        Response.Write("</x:ExcelWorksheet>");
        Response.Write("</x:ExcelWorksheets>");
        Response.Write("</x:ExcelWorkbook>");
        Response.Write("</xml>");
        Response.Write("<![endif]-->");
        Response.Write((string)Request.Params[hhtml]);
        Response.End();
    }
    protected void btnPartialExportServer_Click(object sender, EventArgs e)
    {
        ExportToExcel("test2.xls", "hiddenHtml2");
    }
}